#include <iostream>
#include <stdio.h>
#include <cstdlib>
#include <string.h>

using namespace std;

struct karta{
	int hodnota;
	int barva;
};

int prevod(char znak)
{
	switch(znak)
	{
		case '2':
				return 2;
		case '3':
				return 3;
		case '4':
				return 4;
		case '5':
				return 5;
		case '6':
				return 6;	
		case '7':
				return 7;
		case '8':
				return 8;
		case '9':
				return 9;
		case 'X':
				return 10;
		case 'J':
				return 11;
		case 'Q':
				return 12;
		case 'K':
				return 13;
		case 'A':
				return 14;
		default:
				return -1;
	};
}

int prevodBarva(char znak)
{
		switch(znak)
		{
			case 'c':
					return 1;
			case 'd':
					return 2;
			case 'h':
					return 3;
			case 's':
					return 4;
			default:
					return -1;
		};
}

int cmp(const void *a, const void *b)
{
	return ((karta*)a)->hodnota - ((karta*)b)->hodnota;
}

int main()
{
	
	karta zakladni[5];
	karta hraci[7];
	int barvy[4];
	
	
	
	int pocetHracu, hodnota, pocetPostupka, pocetBarva, aktualniBarva;
	char c1,c2;
	
	bool prvni_dvojce , druha_dvojce, trojce, poker, postupka, royal, barva, rada;
	
	while ( scanf("%d", &pocetHracu) == 1  )
	{
		int **pole_vysledku = new int*[pocetHracu];
		
		for(int a = 0; a < 5; a++)
		{
			scanf("%c%c",&c1,&c2);
			getchar();
			zakladni[a].hodnota = prevod(c1);
			zakladni[a].barva = prevodBarva(c2);
		}
		for(int a = 0; a < pocetHracu; a++)
		{
			prvni_dvojce = druha_dvojce = trojce = poker = postupka = royal = barva = false;
			pole_vysledku[a] = new int[3];
			memcpy(&hraci, &zakladni, 5*sizeof(karta));
			barvy[0] = barvy[1] = barvy[2] = barvy[3] = 0;
			pocetBarva = pocetPostupka = 0;
			scanf("%c%c",&c1,&c1);
			getchar();
			hraci[5].hodnota = prevod(c1);
			hraci[5].barva = prevodBarva(c2);
			scanf("%c%c",&c1,&c1);
			hraci[6].hodnota = prevod(c1);
			hraci[6].barva = prevodBarva(c2);
			getchar();
			
			qsort( &hraci, 7, sizeof(karta), cmp);
		
		
			rada = false;
			hodnota = hraci[0].hodnota;
			aktualniBarva = hraci[0].barva;
			for(int b = 1; b < 7; b++)
			{
				if(hodnota == hraci[b].hodnota)
				{
					if(rada == false)
					{
						rada = true;
						if(prvni_dvojice == false)
						{
							prvni_dvojce=true;
						}
						else
						{
							druha_dvojce = true;
						}
					}
					else
					{
						if(druha_dvojce == true)
						{
							druha_dvojce = false;
							trojce = true;
						}
						else
						{
							prvni_dvojce = false; 
							trojce = true;
						}
						
						if(trojce == true)
						{
							trojce = false;
							poker = true;
						}
					}
				}
				else
				{
					rada = false;
				}
				
				
				if(hodnota == hraci[b].hodnota +1)
				{
					pocetPostupka++;
					if(aktualniBarva == hraci[b].barva)
					{
						pocetBarva++;
						if(barva == 5)
						{
							royal = true;
						}
					}
					else
					{
						pocetBarva = 0;
						aktualniBarva = hraci[b].barva;
					}
				}
				else
				{
					pocetPostupka = 0;
				}
				
				if(hraci[b].barva == 1)
				{
					barvy[0]++;
				}
				if(hraci[b].barva == 2)
				{
					barvy[1]++;
				}
				if(hraci[b].barva == 3)
				{
					barvy[2]++;
				}
				if(hraci[b].barva == 4)
				{
					barvy[3]++;
				}
			}
			
			
		}
	}
	
	return 0;
}




